Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.engine
Class ObjectLoaderHelper

    java.lang.Object
      org.hibernate.search.engine.ObjectLoaderHelper

    public class ObjectLoaderHelper

extends java.lang.Object

Author:
  Emmanuel Bernard

Constructor Summary
`ObjectLoaderHelper()`

Method Summary
`static void` | `initializeObjects(EntityInfo[] entityInfos, org.hibernate.Criteria criteria, java.lang.Class<?> entityType, SearchFactoryImplementor searchFactoryImplementor)`
`static java.lang.Object` | `load(EntityInfo entityInfo, org.hibernate.Session session)`
`static java.util.List` | `returnAlreadyLoadedObjectsInCorrectOrder(EntityInfo[] entityInfos, org.hibernate.Session session)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectLoaderHelper

    public ObjectLoaderHelper()

Method Detail

### load

    public static java.lang.Object load(EntityInfo entityInfo,
                                        org.hibernate.Session session)

### initializeObjects

    public static void initializeObjects(EntityInfo[] entityInfos,
                                         org.hibernate.Criteria criteria,
                                         java.lang.Class<?> entityType,
                                         SearchFactoryImplementor searchFactoryImplementor)

### returnAlreadyLoadedObjectsInCorrectOrder

    public static java.util.List returnAlreadyLoadedObjectsInCorrectOrder(EntityInfo[] entityInfos,
                                                                          org.hibernate.Session session)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.